//---------------------------------------------------------------------------
#ifndef GroupFileH
#define GroupFileH
//---------------------------------------------------------------------------

#include <stdio.h>
#include <string>
#include <vector>
#include <map>

using namespace std;

class GroupFile
{
  public:
    GroupFile() {}
    ~GroupFile();
    bool Open(char *fname);         
    int NumFiles();                 
    void FileList(char *list);      
    int FileSize(char *name);       
    bool LoadFile(char *name, char *buf);
    bool LoadFileB(char *name, char *buf, int start, int len);

  private:
    void _Cleanup();
    string _strtolower(char *str);

    struct _File
    {
      int size;
      int offset;
    };

    struct _GFile
    {
      int files;
      map<string, _File> file;
      FILE *fp;
    };

    vector<_GFile> _files;
};

#endif
