//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "RTSFile.h"

//---------------------------------------------------------------------------

RTSFile::RTSFile()
{
    fp=NULL;
}

RTSFile::~RTSFile()
{
    if (fp)
        fclose(fp);
}

int RTSFile::Open(char *filename)
{
    fp=fopen(filename,"rb");
    if (!fp)
        return 0;
    fseek(fp,8,SEEK_SET);
    fread(&dirOfs,4,1,fp);
    return 1;
}

int RTSFile::FileSize(int i)
{
    int size;
    fseek(fp,dirOfs+i*16+4,SEEK_SET);
    fread(&size,4,1,fp);
    return size;
}

int RTSFile::LoadFile(int i,char *buf)
{
    return LoadFileB(i,buf,0,FileSize(i));
}

int RTSFile::LoadFileB(int i,char *buf,int start,int len)
{
    int ofs;
    fseek(fp,dirOfs+i*16,SEEK_SET);
    fread(&ofs,4,1,fp);
    fseek(fp,ofs+start,SEEK_SET);
    fread(buf,1,len,fp);
    return 1;
}

#pragma package(smart_init)
