//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("duke.res");
USEFORM("main.cpp", Form1);
USEUNIT("D3DRender.cpp");
USEUNIT("View.cpp");
USEUNIT("DirectDraw.cpp");
USEUNIT("Math3d.cpp");
USEUNIT("poly.cpp");
USEUNIT("Texture.cpp");
USEUNIT("Vertex.cpp");
USEUNIT("Direct3d.cpp");
USEUNIT("map.cpp");
USEUNIT("GroupFile.cpp");
USEUNIT("DirectInput.cpp");
USEUNIT("art.cpp");
USEUNIT("DSoundEngine.cpp");
USEUNIT("console.cpp");
USEUNIT("music.cpp");
USEUNIT("FixPoly.cpp");
USEUNIT("RTSFile.cpp");
USEUNIT("anm.cpp");
USEUNIT("SoftRender.cpp");
USEUNIT("OpenGLRender.cpp");
USEASM("div0.asm");
USEUNIT("Render.cpp");
USEUNIT("Sound.cpp");
USELIB("..\..\Lib\dxguid.lib");
USELIB("..\..\Lib\dinput.lib");
//---------------------------------------------------------------------------
HINSTANCE hInst;
extern int graphicalConsole;
extern HANDLE consoleScreenBuf;

//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE _hInst, HINSTANCE, LPSTR cmdLine, int)
{
    hInst=_hInst;
    if (strcmp(cmdLine,"-g"))
    {
        graphicalConsole=0;
        AllocConsole();
        consoleScreenBuf=CreateConsoleScreenBuffer(
            GENERIC_READ|GENERIC_WRITE,0,NULL,
            CONSOLE_TEXTMODE_BUFFER,NULL);
        SetConsoleActiveScreenBuffer(consoleScreenBuf);
        SetConsoleTitle("Duke Nukem 3D Console");
        SetConsoleMode(consoleScreenBuf,0);
    }
    try
    {
         Application->Initialize();
         Application->Title = "Duke Nukem 3D";
         Application->CreateForm(__classid(TForm1), &Form1);
         Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
